# Announce Server

A Python library that announces a server to a host.

## Installation

```bash
pip install announce-server
```

## Build
To build the package, run:

```bash
pip install -e .[dev]
pip install -m build
```

## Test

To run the tests, install the package with the `[dev]` option:

```bash
pip install -e .[dev]
pytest
```

## Usage

```python
from announce_server.announce import announce_server

@announce_server(name="server_name", ip="server_ip", port=8000, host_ip="host_server_ip", host_port=5000)
def your_function():
    pass

```